Name:       perl-Linux-Inotify2 
Version:    1.2 
Release:    3%{?dist}
# COPYING -> GPL+ or Artistic 
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Scalable directory/file change notification 
Source:     http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Linux-Inotify2-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/Linux-Inotify2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires: perl(ExtUtils::MakeMaker)
# testing
BuildRequires: perl(Test::Simple)

# don't "provide" private Perl libs
%global _use_internal_dependency_generator 0
%global __deploop() while read FILE; do /usr/lib/rpm/rpmdeps -%{1} ${FILE}; done | /bin/sort -u
%global __find_provides /bin/sh -c "%{__grep} -v %{_docdir} | %{__grep} -v '%{perl_vendorarch}/.*\\.so$' | %{__deploop P}"
%global __find_requires /bin/sh -c "%{__grep} -v %{_docdir} | %{__deploop R}"

%description
This module implements an interface to the Linux 2.6.13+
Inotify file/directory change notification sytem.  It has a 
number of advantages over the Linux::Inotify module: 
   - it is portable (Linux::Inotify only works on x86)
   - the equivalent of fullname works correctly
   - it is better documented
   - it has callback-style interface, which is better suited for
     integration.

%prep
%setup -q -n Linux-Inotify2-%{version}

find . -type f -exec chmod -c -x {} ';'
find eg/ -type f -exec perl -pi -e 's|^#!/opt/bin/perl|#!%{__perl}|' {} ';'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README Changes COPYING eg/
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto
%{_mandir}/man3/*.3*

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.2-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.2-1
- submission

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.2-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

